gnutls_memcmp(3)

NAME
gnutls_memcmp - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_memcmp(const void * s1, const void * s2, size_t n);

ARGUMENTS

const void * s1
    the first address to compare

const void * s2
    the second address to compare

size_t n
    the size of memory to compare

DESCRIPTION
This function will operate similarly to memcmp(), but will operate on time that depends only on the size of the string. That is will not return early if the strings don't match on the first byte.

RETURNS
non zero on difference and zero if the buffers are identical.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/